Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

[SOLVED]An update seems to have messed a Mepis instalationup

For help or questions about 64-bit version of MEPIS, this is the forum to use.
Message
Author
User avatar
kmathern
Forum Veteran
Forum Veteran
Posts: 9293
Joined: Wed Jul 12, 2006 2:26 pm

Re: An update seems to have messed a Mepis instalation up

#21 Post by kmathern » Thu Mar 20, 2014 1:03 pm

2014-03-20 16:48:52 upgrade google-talkplugin:amd64 5.1.5.0-1 5.2.4.0-1
2014-03-20 16:48:50 upgrade firmware-realtek:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:48 upgrade firmware-ralink:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:45 upgrade firmware-linux-nonfree:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:43 upgrade firmware-libertas:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:40 upgrade firmware-iwlwifi:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:37 upgrade firmware-intelwimax:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:35 upgrade firmware-brcm80211:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:32 upgrade firmware-atheros:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:48:29 upgrade openssh-client:amd64 1:6.5p1-4~bpo70+1 1:6.5p1-6~bpo70+1
2014-03-20 16:48:27 upgrade rsyslog:amd64 7.4.4-1~bpo70+1 7.4.8-1~bpo70+1
2014-03-20 16:48:24 upgrade dmidecode:amd64 2.11-9 2.12-2~bpo70+1
2014-03-20 16:48:12 upgrade tzdata:all 2013i-0wheezy1 2014a-0wheezy1
2014-03-20 16:48:08 upgrade tzdata-java:all 2013i-0wheezy1 2014a-0wheezy1
2014-03-20 16:48:05 upgrade samba-libs:amd64 2:4.1.5+dfsg-1~bpo70+1 2:4.1.6+dfsg-1~bpo70+1
2014-03-20 16:48:02 upgrade libsmbclient:amd64 2:4.1.5+dfsg-1~bpo70+1 2:4.1.6+dfsg-1~bpo70+1
2014-03-20 16:47:59 upgrade python2.7-minimal:amd64 2.7.3-6 2.7.3-6+deb7u2
2014-03-20 16:47:54 upgrade python2.7:amd64 2.7.3-6 2.7.3-6+deb7u2
2014-03-20 16:47:52 upgrade libpython2.7:amd64 2.7.3-6 2.7.3-6+deb7u2
2014-03-20 16:47:50 upgrade samba-common:all 2:4.1.5+dfsg-1~bpo70+1 2:4.1.6+dfsg-1~bpo70+1
2014-03-20 16:47:47 upgrade smbclient:amd64 2:4.1.5+dfsg-1~bpo70+1 2:4.1.6+dfsg-1~bpo70+1
2014-03-20 16:47:45 upgrade libwbclient0:amd64 2:4.1.5+dfsg-1~bpo70+1 2:4.1.6+dfsg-1~bpo70+1
2014-03-20 16:47:43 upgrade libgudev-1.0-0:amd64 175-7.2 204-7~bpo70+1
2014-03-20 16:47:40 upgrade firmware-ipw2x00:all 0.40~bpo70+1 0.41~bpo70+1
2014-03-20 16:47:38 upgrade libgnutls28:amd64 3.2.10-2~bpo70+3 3.2.12.1-2~bpo70+1
2014-03-20 16:47:33 upgrade udev:amd64 175-7.2 204-7~bpo70+1
2014-03-20 11:48:33 upgrade udev:amd64 175-7.2 204-7~bpo70+1
2014-03-20 11:48:28 install libudev1:amd64 <none> 204-7~bpo70+1
2014-03-20 11:48:17 upgrade tar:amd64 1.26+dfsg-0.1 1.27.1-1~bpo70+1
2014-03-20 11:48:10 remove e consolekit:amd64 0.4.5-3.1 <none>
2014-03-20 11:46:49 remove e kdm:amd64 4:4.8.4-6 <none>
2014-03-20 11:46:47 remove e policykit-1:amd64 0.105-3 <none>
2014-03-20 11:46:44 remove e hplip:amd64 3.12.6-3.1+deb7u1 <none>
2014-03-20 11:46:41 remove e polkit-kde-1:amd64 0.99.0-3 <none>
2014-03-20 11:46:39 startup packages remove e
I've thinned out some of what you posted.

I don't see any other packages that were removed (I assuming you didn't lose any of the history in the dpkg log).

I've never seen that "e" come up in the remove lines before (i.e. remove e kdm:amd64 4:4.8.4-6).

I've also never seen a line like that "startup packages remove e" before.

No guarantee, but this might restore things

Code: Select all

apt-get --reinstall install kdm=4:4.8.4-6 policykit-1=0.105-3 hplip=3.12.6-3.1+deb7u1 polkit-kde-1=0.99.0-3 consolekit=0.4.6-3mcr120+1 -t mepis -s
The command is a simulation, if it looks like it will work remove the '-s' and rerun it.

edit: post the results of the simulation if it looks like there's still a problem.
Last edited by kmathern on Thu Mar 20, 2014 1:13 pm, edited 1 time in total.

User avatar
radissthor
Forum Regular
Forum Regular
Posts: 339
Joined: Mon Sep 13, 2010 11:18 am

Re: An update seems to have messed a Mepis instalation up

#22 Post by radissthor » Thu Mar 20, 2014 1:11 pm

Here's the output of the simulation. Should I run it?

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Version '0.4.6-3mcr120+1' for 'consolekit' was not found
Image

User avatar
kmathern
Forum Veteran
Forum Veteran
Posts: 9293
Joined: Wed Jul 12, 2006 2:26 pm

Re: An update seems to have messed a Mepis instalation up

#23 Post by kmathern » Thu Mar 20, 2014 1:21 pm

radissthor wrote:Here's the output of the simulation. Should I run it?

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Version '0.4.6-3mcr120+1' for 'consolekit' was not found
Don't run it.

Do you have the M12 main CR enabled?

Code: Select all

deb http://main.mepis-deb.org/mepiscr/repo/ mepis12cr main non-free
It should already be in the sources listed in Synaptic. Enable it if it isn't enabled, and then click 'Reload', then close Synaptic and try the simulation again.

User avatar
radissthor
Forum Regular
Forum Regular
Posts: 339
Joined: Mon Sep 13, 2010 11:18 am

Re: An update seems to have messed a Mepis instalation up

#24 Post by radissthor » Thu Mar 20, 2014 1:29 pm

kmathern wrote: Don't run it.

Do you have the M12 main CR enabled?

Code: Select all

deb http://main.mepis-deb.org/mepiscr/repo/ mepis12cr main non-free
It should already be in the sources listed in Synaptic. Enable it if it isn't enabled, and then click 'Reload', then close Synaptic and try the simulation again.
Ok, activated the main CR and this is the outout:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  amarok-common amarok-utils ant antlr antlr3 audacity-data cli-common gnome-icon-theme java-wrappers libantlr-java
  libavcodec54 libavformat54 libavutil52 libboo2.0.9-cil libboost-filesystem1.49.0 libboost-signals1.49.0
  libboost-system1.49.0 libboost-thread1.49.0 libcegui-mk2-0.7.6 libchromaprint0 libcmis-0.2-0 libcommons-lang-java
  libconfig++9 libdata-compare-perl libdate-simple-perl libdbus-glib1.0-cil libdbus1.0-cil libdevil1c2 libfile-find-rule-perl
  libfile-slurp-perl libfile-slurp-unicode-perl libfontbox-java libfreeimage3 libfreerdp1 libgconf2.0-cil libgdata2.1-cil
  libgdiplus libgettextpo0 libgkeyfile1.0-cil libglade2-0 libglademm-2.4-1c2a libglazedlists-java libglib2.0-cil libgnutls28
  libgtk-sharp-beans-cil libgtk2.0-cil libgudev1.0-cil libhdb9-heimdal libhogweed2 libipc-run3-perl libjaxen-java
  libjdom1-java libjempbox-java libjgoodies-common-java libjgoodies-forms-java libjgoodies-looks-java libjpf-java
  libjpfcodegen-java libjson0:i386 libkarma0 libkdc2-heimdal liblastfm0 liblist-allutils-perl liblog-log4perl-perl
  libloudmouth1-0 libmicroba-java libmikmod2 libmono-addins0.2-cil libmono-cairo4.0-cil
  libmono-compilerservices-symbolwriter4.0-cil libmono-corlib4.0-cil libmono-data-tds4.0-cil libmono-posix4.0-cil
  libmono-security4.0-cil libmono-sharpzip4.84-cil libmono-system-configuration4.0-cil libmono-system-core4.0-cil
  libmono-system-data4.0-cil libmono-system-drawing4.0-cil libmono-system-enterpriseservices4.0-cil
  libmono-system-runtime-serialization4.0-cil libmono-system-security4.0-cil libmono-system-transactions4.0-cil
  libmono-system-xml-linq4.0-cil libmono-system-xml4.0-cil libmono-system4.0-cil libmono-zeroconf1.0-cil libmysql-java
  libnautilus-extension1a libnewtonsoft-json4.5-cil libnotify0.4-cil libnumber-compare-perl libogre-1.7.4 libois-1.3.0
  libpdfbox-java libportsmf0 libproxy-tools libqtscript4-core libqtscript4-gui libqtscript4-network libqtscript4-sql
  libqtscript4-uitools libqtscript4-xml libraw5 libreadonly-perl libregexp-common-perl libsbsms10 libsdl-mixer1.2
  libsdl-ttf2.0-0 libsilly libspin-java libstringtemplate-java libtag-extras1 libtaglib2.0-cil libtasn1-6 libtext-glob-perl
  libtinyxml2.6.2 libtorrent-rasterbar6 libunicode-collate-perl libvamp-hostsdk3 libvisio-0.0-0 libwerken.xpath-java
  libwine:i386 libwine-bin:i386 libwnck-common libwnck22 libwxbase2.8-0 libwxgtk2.8-0 libxerces-c3.1 libxerces2-java
  libxml-commons-external-java libxml-commons-resolver1.1-java libxml-libxml-perl libxml-libxml-simple-perl
  libxml-libxslt-perl libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-perl libxml-writer-string-perl libxres1
  libzzip-0-13 mono-4.0-gac mono-gac mono-runtime python-pyparsing smc-data velocity
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libck-connector0
Suggested packages:
  hplip-gui hplip-doc python-notify system-config-printer kde-wallpapers
Recommended packages:
  libpam-ck-connector
The following NEW packages will be installed:
  consolekit hplip kdm policykit-1 polkit-kde-1
The following packages will be upgraded:
  libck-connector0
1 upgraded, 5 newly installed, 0 to remove and 21 not upgraded.
Inst libck-connector0 [0.4.5-3.1] (0.4.6-3mcr120+1 Mepis community repository:12.0/mepis [amd64])
Inst consolekit (0.4.6-3mcr120+1 Mepis community repository:12.0/mepis [amd64])
Inst policykit-1 (0.105-3 Debian:7.4/stable [amd64])
Inst hplip (3.12.6-3.1+deb7u1 Debian:7.4/stable, Debian-Security:7.0/stable [amd64])
Inst kdm (4:4.8.4-6 Debian:7.4/stable [amd64])
Inst polkit-kde-1 (0.99.0-3 Debian:7.4/stable [amd64])
Conf libck-connector0 (0.4.6-3mcr120+1 Mepis community repository:12.0/mepis [amd64])
Conf consolekit (0.4.6-3mcr120+1 Mepis community repository:12.0/mepis [amd64])
Conf policykit-1 (0.105-3 Debian:7.4/stable [amd64])
Conf hplip (3.12.6-3.1+deb7u1 Debian:7.4/stable, Debian-Security:7.0/stable [amd64])
Conf kdm (4:4.8.4-6 Debian:7.4/stable [amd64])
Conf polkit-kde-1 (0.99.0-3 Debian:7.4/stable [amd64])
Image

User avatar
kmathern
Forum Veteran
Forum Veteran
Posts: 9293
Joined: Wed Jul 12, 2006 2:26 pm

Re: An update seems to have messed a Mepis instalation up

#25 Post by kmathern » Thu Mar 20, 2014 1:40 pm

It looks like it might work, but I'm not sure about all those 'autoremoves' (don't remove them !).

Did all those packages listed as 'autoremoves' just appear today, or have they been like that for a while?

I'm also wondering what the '21 not upgraded' packages are? (they might be packages that didn't get completely installed earlier)

User avatar
radissthor
Forum Regular
Forum Regular
Posts: 339
Joined: Mon Sep 13, 2010 11:18 am

Re: An update seems to have messed a Mepis instalation up

#26 Post by radissthor » Thu Mar 20, 2014 2:02 pm

It worked! now the system is back to normal. Thanks a lot Kmathern and all who helped. :D
Image

Post Reply

Return to “64-bit Newbies”